package domain

type AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku struct {
	/*
	   限购信息     */
	LimitInfo *AlibabaWdkMarketingDiscountItemAddAsyncLimitInfo `json:"limit_info,omitempty" `

	/*
	   商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   <优惠明细,分为单位>优惠类型为[减价],则代表直降金额[如700,表示商品直降7元];优惠券类型为[一口价],则代表一口价[如700,表示商品一口价为7元];优惠券类型为[打折],则代表折扣[如700,表示打7折]     */
	Value *int64 `json:"value,omitempty" `

	/*
	   门槛数量，金额值单位为分     */
	ConditionNum *int64 `json:"condition_num,omitempty" `

	/*
	   门槛类型，2：累计消费金额，3：累计购买次数     */
	ConditionType *int64 `json:"condition_type,omitempty" `
}

func (s *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku) SetLimitInfo(v AlibabaWdkMarketingDiscountItemAddAsyncLimitInfo) *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku {
	s.LimitInfo = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku) SetSkuCode(v string) *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku) SetValue(v int64) *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku {
	s.Value = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku) SetConditionNum(v int64) *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku {
	s.ConditionNum = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku) SetConditionType(v int64) *AlibabaWdkMarketingDiscountItemAddAsyncItemDiscountSku {
	s.ConditionType = &v
	return s
}
